SuperLU: SRC/slangs.c File Reference

SuperLU 5.2.0

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
slangs.c File Reference

Returns the value of the one norm. More...

`#include <math.h>`
`#include "slu_sdefs.h"`
Include dependency graph for slangs.c:

## Functions
float | slangs (char *norm, SuperMatrix *A)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    – SuperLU routine (version 2.0) –
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 15, 1997

    Modified from lapack routine SLANGE

## Function Documentation

float slangs | ( | char * | norm,
|  | SuperMatrix * | A
| ) |  |

#

    Purpose

      SLANGS returns the value of the one norm, or the Frobenius norm, or
      the infinity norm, or the element of largest absolute value of a
      real matrix A.

#

    Description

      SLANGE returns the value

         SLANGE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                  (
                  ( norm1(A),         NORM = '1', 'O' or 'o'
                  (
                  ( normI(A),         NORM = 'I' or 'i'
                  (
                  ( normF(A),         NORM = 'F', 'f', 'E' or 'e'

      where  norm1  denotes the  one norm of a matrix (maximum column sum),
      normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
      normF  denotes the  Frobenius norm of a matrix (square root of sum of
      squares).  Note that  max(abs(A(i,j)))  is not a  matrix norm.

#

    Arguments

      NORM    (input) CHARACTER*1
              Specifies the value to be returned in SLANGE as described above.
      A       (input) SuperMatrix*
              The M by N sparse matrix A.